Subject: Re: cygipc semaphores not persistent?
From: Joe Buehler <[email-masked]>
To: [email-masked]
Date: Thu, 19 Jun 2003 14:53:40 -0400

Mark Paulus wrote:

> Are you running the ipcdaemon process?  At one time
> the cygipc libraries required the ipcdaemon process
> to manage the global objects.  I thought I read something
> that the ipc-daemon is going away, and being incorporated
> into the cygwin architecture, but I did not gather that it had
> happened yet.  That may be a misunderstanding on my
> part however.

I spent some time in the guts of the cygipc code, and think I tracked
it down -- nothing was keeping the semaphore handles open but client
processes, so when they all exited, the semaphore went away.

I just posted a patch to fix this -- the ipc-daemon process now
keeps semaphores open as long as they are supposed to exist.
-- 
Joe Buehler

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/